Loading...
Searching...
No Matches
macros.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | __has_attribute(x)
#define | __has_builtin(x)
#define | GIRARA_GNUC_CHECK(maj, min)
#define | GIRARA_PRINTF(format_idx, arg_idx)
#define | GIRARA_UNUSED(x)
#define | GIRARA_HIDDEN
#define | GIRARA_VISIBLE
#define | GIRARA_DEPRECATED(x)
#define | GIRARA_DEPRECATED_
#define | GIRARA_ALLOC_SIZE(x)
#define | GIRARA_DO_PRAGMA(x)
#define | GIRARA_IGNORE_DEPRECATED
#define | GIRARA_UNIGNORE GIRARA_DO_PRAGMA(GCC diagnostic pop)

## Macro Definition Documentation

## __has_attribute

#define __has_attribute | ( |  | x | ) |

Value:
0

Definition at line 7 of file macros.h.

## __has_builtin

#define __has_builtin | ( |  | x | ) |

Value:
0

Definition at line 11 of file macros.h.

## GIRARA_ALLOC_SIZE

#define GIRARA_ALLOC_SIZE | ( |  | x | ) |

Definition at line 70 of file macros.h.

## GIRARA_DEPRECATED

#define GIRARA_DEPRECATED | ( |  | x | ) |

Value:
x

Definition at line 61 of file macros.h.

## GIRARA_DEPRECATED_

#define GIRARA_DEPRECATED_

Definition at line 62 of file macros.h.

## GIRARA_DO_PRAGMA

#define GIRARA_DO_PRAGMA | ( |  | x | ) |

Definition at line 78 of file macros.h.

## GIRARA_GNUC_CHECK

#define GIRARA_GNUC_CHECK | ( |  | maj,
|  |  | min )

Value:
0

Definition at line 17 of file macros.h.

## GIRARA_HIDDEN

#define GIRARA_HIDDEN

Definition at line 44 of file macros.h.

## GIRARA_IGNORE_DEPRECATED

#define GIRARA_IGNORE_DEPRECATED

Value:
GIRARA_DO_PRAGMA(GCC diagnostic push) \
GIRARA_DO_PRAGMA(GCC diagnostic ignored "-Wdeprecated-declarations")
GIRARA_DO_PRAGMA
#define GIRARA_DO_PRAGMA(x)
Definition macros.h:78

Definition at line 83 of file macros.h.

## GIRARA_PRINTF

#define GIRARA_PRINTF | ( |  | format_idx,
|  |  | arg_idx )

Definition at line 24 of file macros.h.

## GIRARA_UNIGNORE

#define GIRARA_UNIGNORE GIRARA_DO_PRAGMA(GCC diagnostic pop)

Definition at line 89 of file macros.h.

## GIRARA_UNUSED

#define GIRARA_UNUSED | ( |  | x | ) |

Value:
x

Definition at line 34 of file macros.h.

## GIRARA_VISIBLE

#define GIRARA_VISIBLE

Definition at line 52 of file macros.h.